> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.runlineasync.md).

# RunLineAsync(LocalizedLine,LineCancellationToken)

Method in [LinePresenter](/api/csharp/yarn.unity/yarn.unity.linepresenter.md)

## Summary

Presents a line using the configured text view.

```csharp
public override async YarnTask RunLineAsync(LocalizedLine line, LineCancellationToken token)
```

## Parameters

| Name                                                                                                 | Description                                                                                                                                                                                                          |
| ---------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Yarn.Unity.LocalizedLine](/api/csharp/yarn.unity/yarn.unity.localizedline.md) line                  | The line to present.                                                                                                                                                                                                 |
| [Yarn.Unity.LineCancellationToken](/api/csharp/yarn.unity/yarn.unity.linecancellationtoken.md) token | A [LineCancellationToken](/api/csharp/yarn.unity/yarn.unity.linecancellationtoken.md) that represents whether the dialogue presenter should hurry it its presentation of the line, or stop showing the current line. |

## Returns

A task that completes when the dialogue presenter has finished showing the line to the user.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.runlineasync.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
